# copyright koumbit.org
# Licence: GPL

class cups_server {

   package { "cupsys": ensure => "installed" }

   file { "/etc/cups/cups.conf":
      source => "puppet:///cups_server/cupsd.conf",
      ensure => present,
      require => Package["cupsys"],
      owner => "root", group => "root", mode => "644",
   }

   service { "cupsys":
      enable => true,
      ensure => running,
      subscribe => [ Package["cupsys"], File["/etc/cups/cupsd.conf"] ],
   }
}

